## bluemindo 0.2.1

=== Makefile ===
prefix=/usr
LIBDIR=$(prefix)/lib
BIN=$(prefix)/bin
DATADIR=$(prefix)/share
LOCALEDIR=$(DATADIR)/locale

install:
	install -d $(LOCALEDIR) $(BIN) $(DATADIR)/bluemindo $(DATADIR)/bluemindo/image $(DATADIR)/bluemindo/glade $(LIBDIR)/bluemindo

	install -m644 data/image/*.png $(DATADIR)/bluemindo/image
	install -m644 data/glade/*.glade $(DATADIR)/bluemindo/glade
	install -m666 COPYING $(DATADIR)/bluemindo

	install -m644 data/misc/Bluemindo.desktop $(DATADIR)/applications
	install -m644 data/misc/bluemindo.png $(DATADIR)/pixmaps
	install -m755 data/misc/bluemindo $(BIN)

	for sourcedir in `find src/ -type d | grep -v '.svn' | grep -v '.pyc' | sed 's:src/::g'` ; do \
		install -d $(LIBDIR)/bluemindo/$$sourcedir; \
		for sourcefile in `find src/$$sourcedir -maxdepth 1 -type f | grep -v '.svn' | grep -v '.pyc'` ; do \
			install -m755 $$sourcefile $(LIBDIR)/bluemindo/$$sourcedir; \
		done \
	done

	install -m755 src/bluemindo.py $(LIBDIR)/bluemindo
	install -m755 src/extensionsloader.py $(LIBDIR)/bluemindo

	for localename in `find locale/ -maxdepth 1 -type d | grep -v '.svn' | sed 's:locale/::g'` ; do \
		if [ -d locale/$$localename ]; then \
			msgfmt locale/$$localename/LC_MESSAGES/bluemindo.po -o locale/$$localename/LC_MESSAGES/bluemindo.mo -v; \
			install -m644 locale/$$localename/LC_MESSAGES/bluemindo.mo $(LOCALEDIR)/$$localename/LC_MESSAGES; \
		fi \
	done

uninstall:
	rm -f $(DATADIR)/applications/Bluemindo.desktop
	rm -f $(DATADIR)/pixmaps/bluemindo.png
	rm -f $(BIN)/bluemindo
	rm -rf $(LIBDIR)/bluemindo
	rm -rf $(DATADIR)/bluemindo

	for gettextfile in `find $(LOCALEDIR) -name 'bluemindo.mo'` ; do \
		rm -f $$gettextfile; \
	done

## bluemindo 0.3

=== Makefile ===
prefix=/usr
LIBDIR=$(DESTDIR)$(prefix)/lib
BIN=$(DESTDIR)$(prefix)/bin
DATADIR=$(DESTDIR)$(prefix)/share
LOCALEDIR=$(DATADIR)/locale
MANDIR=$(DATADIR)/man

all:
clean:
	rm -f locale/*/LC_MESSAGES/bluemindo.mo
	rm -f bluemindo.1.gz


install:
	install -d $(LOCALEDIR) $(BIN) $(DATADIR)/bluemindo $(DATADIR)/bluemindo/image $(DATADIR)/bluemindo/glade $(DATADIR)/bluemindo/src

	install -m644 data/image/*.png $(DATADIR)/bluemindo/image
	install -m644 data/glade/*.glade $(DATADIR)/bluemindo/glade

	install -m644 data/misc/Bluemindo.desktop $(DATADIR)/applications
	install -m644 data/misc/bluemindo.png $(DATADIR)/pixmaps
	install -m755 data/misc/bluemindo $(BIN)

	cat data/misc/bluemindo.1 | gzip > bluemindo.1.gz
	install -m644 bluemindo.1.gz $(MANDIR)/man1

	for sourcedir in `find src/ -type d | grep -v '.svn' | grep -v '.pyc' | sed 's:src/::g'` ; do \
		install -d $(DATADIR)/bluemindo/src/$$sourcedir; \
		for sourcefile in `find src/$$sourcedir -maxdepth 1 -type f | grep -v '.svn' | grep -v '.pyc'` ; do \
			install -m644 $$sourcefile $(DATADIR)/bluemindo/src/$$sourcedir; \
		done \
	done

	install -m755 src/bluemindo.py $(DATADIR)/bluemindo/src
	install -m644 src/mainapplication.py $(DATADIR)/bluemindo/src
	install -m644 src/extensionsloader.py $(DATADIR)/bluemindo/src

	for localename in `find locale/ -maxdepth 1 -type d | grep -v '.svn' | sed 's:locale/::g'` ; do \
		if [ -d locale/$$localename ]; then \
			install -d $(LOCALEDIR)/$$localename; \
			install -d $(LOCALEDIR)/$$localename/LC_MESSAGES; \
			msgfmt locale/$$localename/LC_MESSAGES/bluemindo.po -o locale/$$localename/LC_MESSAGES/bluemindo.mo -v; \
			install -m644 locale/$$localename/LC_MESSAGES/bluemindo.mo $(LOCALEDIR)/$$localename/LC_MESSAGES; \
		fi \
	done

uninstall:
	rm -f $(DATADIR)/applications/Bluemindo.desktop
	rm -f $(DATADIR)/pixmaps/bluemindo.png
	rm -f $(BIN)/bluemindo
	rm -f $(MANDIR)/man1/bluemindo.1.gz
	rm -rf $(LIBDIR)/bluemindo
	rm -rf $(DATADIR)/bluemindo

	for gettextfile in `find $(LOCALEDIR) -name 'bluemindo.mo'` ; do \
		rm -f $$gettextfile; \
	done

=== debian/changelog ===
bluemindo (0.3-4) unstable; urgency=low

  * Add a patch to use hashlib instead of the deprecated md5 module
  * Add a patch to call object.__new__ without arguments
  * Changed XS-Python-Version to >= 2.5 (Closes: #570565)

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Wed, 24 Feb 2010 16:36:09 +0100

bluemindo (0.3-3) unstable; urgency=low

  * Remove python-eggtrayicon from Suggests, depend on python-gtk2 (>= 2.10)
    instead. (Closes: #560986)
  * Added a patch to correct a typo in the manpage
  * Added a patch to improve a bit tray icon behaviour using StatusIcon
  * Bumped Standards-Version to 3.8.4, no changes needed

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Sat, 06 Feb 2010 21:27:17 +0100

bluemindo (0.3-2) unstable; urgency=low

  * Switch to new source format "3.0 (quilt)"
  * Drop CDBS and use debhelper 7 instead.
  * Add python-eggtrayicon to suggests
  * Correct english error in long description

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Sat, 07 Nov 2009 16:38:11 +0100

bluemindo (0.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.8.3
  * Added a patch to correct seekbar's adjustment, so it covers the whole song
  * Added a patch to correct crashes in the random playlists
  * Added a patch to avoid freezes and crashes in the album view
  * Added a patch to correct random playlists' behaviour

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Thu, 27 Aug 2009 11:03:45 +0200

bluemindo (0.2.1-2) unstable; urgency=low

  * Fixed the watch file
  * Calls idle_add and add_logo the right way. (LP: #261817)
  * Patches now follow DEP3
  * Bumped Standards-Version to 3.8.2
  * Changed priority to extra
  * Improved package description

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Thu, 02 Jul 2009 14:23:33 +0200

bluemindo (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #487572)

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Sun, 22 Jun 2008 21:36:29 +0200

=== debian/control ===
Source: bluemindo
Section: sound
Priority: extra
Maintainer: Thibaut GIRKA <thibaut.girka@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support (>= 0.5.3), imagemagick
Standards-Version: 3.8.4
Homepage: http://bluemindo.codingteam.net/

Package: bluemindo
Architecture: all
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, python, python-gst0.10, python-gtk2 (>= 2.10), python-glade2, python-tagpy, gstreamer0.10-plugins-base
Recommends: python-dbus, python-notify
Suggests: python-xmpp
Description: simple yet powerful audio player
 Bluemindo is a really simple yet powerful audio player in Python/PyGTK,
 using GStreamer.
 .
 With Bluemindo you can:
  * automatically download lyrics, album-covers, or a picture of the
    artist, for the current playing song;
  * choose between five different view modes (lightweight, basic,
    normal, full or albums);
  * use plugins;
  * get desktop notifications (requires python-notify);
  * update Gajim's status message (requires python-dbus);
  * send music to your Jabber account (requires python-xmpp) or to
    your Last.fm profile.
  * listen to webradios and ShoutCast

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/bluemindo.xpm

override_dh_auto_build:
	dh_auto_build
	convert data/misc/bluemindo.png -scale 32x32 debian/bluemindo.xpm

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

## bluemindo 1.0~rc1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	install -d $(LOCALEDIR) $(BIN) $(DATADIR)/bluemindo $(DATADIR)/bluemindo/image $(DATADIR)/bluemindo/glade $(DATADIR)/bluemindo/src
 
 	install -m644 data/image/*.png $(DATADIR)/bluemindo/image
-	install -m644 data/glade/*.glade $(DATADIR)/bluemindo/glade
+	install -m644 data/glade/*.ui $(DATADIR)/bluemindo/glade
 
 	install -m644 data/misc/Bluemindo.desktop $(DATADIR)/applications
 	install -m644 data/misc/bluemindo.png $(DATADIR)/pixmaps

=== debian/changelog ===
bluemindo (1.0~rc1-1) experimental; urgency=medium

  * New upstream release (Closes: #802976, #760497)
  * Drop menu file (in accordance to tech-ctte decision on #741573)
  * Bump Standards-Version to 3.9.6
  * Update debhelper version from 5 to 9
  * Rewrite debian/watch to be slightly more robust and rewrite RC versions
  * Update debian/copyright to match new specifications and upstream changes

 -- Thibaut GIRKA <thibaut.girka@gmail.com>  Thu, 25 Feb 2016 11:27:28 +0100

bluemindo (0.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785961)
  * Move XS-Python-Version to the source stanza, and drop the S.
  * Drop unnecessary XB-Python-Versions.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Aug 2015 23:22:16 +0200

=== debian/control ===
Source: bluemindo
Section: sound
Priority: extra
Maintainer: Thibaut GIRKA <thibaut.girka@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python3
Build-Depends-Indep: imagemagick
Standards-Version: 3.9.6
Homepage: http://bluemindo.codingteam.net/
X-Python3-Version: >= 3.4

Package: bluemindo
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, python3-taglib, python3-bs4, gir1.2-gtk-3.0, gir1.2-gstreamer-1.0
Recommends: python3-dbus
Description: ergonomic and modern music player designed for audiophiles
 Bluemindo is an ergonomic and modern music player designed for audiophiles.
 .
 Bluemindo's user interface consists of a main view of all your digitized
 album discs, which is searchable and filterable. The playback mode is gapless
 and support ReplayGain (it can also automatically choose to switch between
 Album and Track modes, depending on the kind of music that's being played).
 .
 Last but not least, it brings playlist (automatic and user-made),
 MPRIS/MediaPlayer2 support and lyrics/artworks downloading.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
opts="pgpmode=none, uversionmangle=s/(\d)(rc|RC|dev|beta|alpha)/$1~$2/" \
  http://codingteam.net/project/bluemindo/download \
  project/bluemindo/download/file/bluemindo-(\d\S*)\.tar\.gz debian uupdate
